> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get top holders for a token

> Returns top holders ordered by balance from the token-holders index. Only considers the latest snapshot (nonce=1).



## OpenAPI

````yaml /api-reference/data-api.json get /v2/tokens/top-holders
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.9
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/tokens/top-holders:
    get:
      tags:
        - Token Information
      summary: Get top holders for a token
      description: >-
        Returns top holders ordered by balance from the token-holders index.
        Only considers the latest snapshot (nonce=1).
      operationId: getTopHolders
      parameters:
        - name: token
          required: true
          in: query
          description: Token symbol or identifier (e.g. USDtb)
          schema:
            type: string
        - name: network
          required: true
          in: query
          description: Network name (e.g. eth)
          schema:
            type: string
        - name: size
          required: false
          in: query
          description: Max number of holders per page (default 100, max 1000)
          schema:
            minimum: 1
            maximum: 1000
            default: 100
            type: number
        - name: cursor
          required: false
          in: query
          description: >-
            Opaque pagination cursor. Use "A" for the first page, "Z" for the
            last page, or a cursor from a previous response.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenTopHoldersResponse'
components:
  schemas:
    TokenTopHoldersResponse:
      type: object
      properties:
        token:
          type: string
        network:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/TokenHolder'
        meta:
          $ref: '#/components/schemas/CursorMetaDto'
      required:
        - token
        - network
        - items
        - meta
    TokenHolder:
      type: object
      properties:
        rank:
          type: number
        address:
          type: string
        balance:
          type: number
        pct_of_supply:
          type: number
        name_tag:
          type: string
          nullable: true
        category:
          type: string
          nullable: true
        entity:
          type: string
          nullable: true
        is_contract:
          type: boolean
        is_multisig:
          type: boolean
        num_sends:
          type: number
        num_receives:
          type: number
        unique_senders:
          type: number
        unique_receivers:
          type: number
        address_role:
          type: string
          nullable: true
        malicious:
          type: boolean
          nullable: true
      required:
        - rank
        - address
        - balance
        - pct_of_supply
        - is_contract
        - is_multisig
    CursorMetaDto:
      type: object
      properties:
        next_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the next page of results. null if
            there is no next page.
          example: eyJpZCI6IjkxeFFlV3Z...
        previous_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the previous page of results. null
            if there is no previous page.
          example: eyJpZCI6IjkxeFFlV3Z...
        first_page_cursor:
          type: string
          description: >-
            Opaque string cursor pointing to the very first page in the entire
            dataset with respect to the current filter.
          example: eyJpZCI6IjkxeFFlV3Z...
        last_page_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the very last page in the entire
            dataset with respect to the current filter.
          example: eyJpZCI6IjkxeFFlV3Z...
        total_count:
          type: number
          nullable: true
          description: Total number of results.
          example: 100
        page_number:
          type: number
          description: Current page number.
          example: 1
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````